Package org.eclipse.net4j.util.container

# Class SelfAttachingContainerListener.Delegating

java.lang.Object
org.eclipse.net4j.util.container.SelfAttachingContainerListener
org.eclipse.net4j.util.container.SelfAttachingContainerListener.Delegating

All Implemented Interfaces:
  `EventListener`, `IListener`, `IListener.NotifierAware`

Enclosing class:
  `SelfAttachingContainerListener`

public static class SelfAttachingContainerListener.Delegating extends SelfAttachingContainerListener

Author:
  Eike Stepper

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.net4j.util.container.SelfAttachingContainerListener

`SelfAttachingContainerListener.Delegating, SelfAttachingContainerListener.DoNotDescend`

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.event.IListener

`IListener.NotifierAware`

## Constructor Summary

Constructors
Constructor
Description
`Delegating(IListener delegate)`
`Delegating(IListener delegate, boolean delegateContainerEvents)`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`notifyContainerEvent(IContainerEvent<?> event)`
`protected void`
`notifyOtherEvent(IEvent event)`

### Methods inherited from class org.eclipse.net4j.util.container.SelfAttachingContainerListener

`addNotifier, attach, detach, handleException, isActive, isWaitForActive, notifyEvent, removeNotifier, shouldAttach, shouldDescend`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Delegating

public Delegating(IListener delegate, boolean delegateContainerEvents)

### Delegating

public Delegating(IListener delegate)

## Method Details

### notifyContainerEvent

protected void notifyContainerEvent(IContainerEvent<?> event)

Overrides:
  `notifyContainerEvent` in class `SelfAttachingContainerListener`

### notifyOtherEvent

protected void notifyOtherEvent(IEvent event)

Overrides:
  `notifyOtherEvent` in class `SelfAttachingContainerListener`